package game.locations.elevatorStoppedInside;

import game.locations.Location;

import game.locations.Interactive;

class ElevatorStoppedInside extends Location {
  public function new() {
    super();

    id = 'elevatorInside';
    addBmpLayer('bg');

    for(i in 0...5) {
      var btn = new Interactive('sound/elevator/button.ogg');
      btn.initBitmap(bmpPath('button_off'), true);
      btn.x = 155;
      btn.y = 28 + i * 22;
      addChild(btn);
    }

    leftLocation = game.locations.elevatorStoppedDoors.ElevatorStoppedDoors;
    rightLocation = game.locations.elevatorBack.ElevatorBack;
    downLocation = game.locations.elevatorPhone.ElevatorPhone;
  }
}
